Skip to main content
`Ctrl`+`K`

# smallpond.execution.manager.JobManager

class smallpond.execution.manager.JobManager(data_root: str | None = None, python_venv: str | None = None, task_image: str = 'default', platform: str | None = None)
  __init__(data_root: str | None = None, python_venv: str | None = None, task_image: str = 'default', platform: str | None = None) → None

  Methods

  `__init__`([data_root, python_venv, ...]) |
  `run`(plan[, job_id, job_time, job_name, ...]) |

  Attributes

  `env_template` |
  `jemalloc_filename` |
  `mimalloc_filename` |